Bug 486484 - condor_ha_scheduler configuration missing QMF_STOREFILE
condor_ha_scheduler configuration missing QMF_STOREFILE
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.1
All Linux
high Severity high
: 1.2
: ---
Assigned To: Robert Rati
Martin Kudlej
:
Depends On:
Blocks: 527551
  Show dependency treegraph
 
Reported: 2009-02-19 18:14 EST by Matthew Farrellee
Modified: 2010-10-23 03:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid enhancement. Added SCHEDD.QMF_STOREFILE = $(SPOOL)/.schedd_storefile to the HA Scheduler configuration. Jobs and schedulers no longer appear in Cumin twice after a scheduler failover.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 04:15:33 EST

  None (edit)
Description Matthew Farrellee 2009-02-19 18:14:29 EST
Description of problem:

In a HA scheduler setup the QMF plugins in the Schedd need to share a QMF_STOREFILE so that they appear to be a single Scheduler from QMF's perspective. This means SCHEDD.QMF_STOREFILE should be set to $SPOOL/.schedd_storefile in the HA configuration.

Version-Release number of selected component (if applicable):

condor-remote-configuration-server-1.0-12.el5


Actual results:

Fail over a HA schedd and you'll see a second Scheduler created in Cumin.


Expected results:

The Scheduler's name in Cumin may change, but a second should not be created.
Comment 1 Robert Rati 2009-03-02 12:10:08 EST
Added

SCHEDD.QMF_STOREFILE = $(SPOOL)/.schedd_storefile

To the HA Scheduler configuration and tested in qpid-tool that duplicate jobs/schedulers no longer appear after the scheduler has been failed over.

Fixed in:
condor-remote-configuration-1.0-15
Comment 3 Irina Boverman 2009-10-28 14:06:01 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Added SCHEDD.QMF_STOREFILE = $(SPOOL)/.schedd_storefile to the HA Scheduler configuration. Jobs/schedulers no longer appear in Cumin second time after the scheduler has been failed over (486484)
Comment 4 Lana Brindley 2009-11-04 20:54:01 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
-Added SCHEDD.QMF_STOREFILE = $(SPOOL)/.schedd_storefile to the HA Scheduler configuration. Jobs/schedulers no longer appear in Cumin second time after the scheduler has been failed over (486484)+Grid enhancement.
+
+Added SCHEDD.QMF_STOREFILE = $(SPOOL)/.schedd_storefile to the HA Scheduler configuration. Jobs and schedulers no longer appear in Cumin twice after a scheduler failover.
Comment 5 Martin Kudlej 2009-11-10 07:25:53 EST
Tested on RHEL 5.4/4.8 x i386/x86_64 with condor-remote-configuration-1.0-14 and it doesn't work.
Teste with condor-remote-configuration-1.0-23 and it works. -->VERIFIED
Comment 7 errata-xmlrpc 2009-12-03 04:18:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html

Note You need to log in before you can comment on or make changes to this bug.